org.eclipse.emf.cdo.transfer

## Class CDOTransfer.ChildrenChangedEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.net4j.util.event.Event
    - - org.eclipse.emf.cdo.transfer.CDOTransfer.MappingEvent
      - - org.eclipse.emf.cdo.transfer.CDOTransfer.ChildrenChangedEvent

- All Implemented Interfaces:
    java.io.Serializable, IEvent
  Enclosing class:
    CDOTransfer

      public static class CDOTransfer.ChildrenChangedEvent
      extends CDOTransfer.MappingEvent

  A `mapping event` fired from a `transfer` when the `children` of a mapping have changed.
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This class is not intended to be subclassed by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CDOTransfer.ChildrenChangedEvent.Kind` Enumerates the possible values of `getKind()`.

  - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOTransferMapping` | `getChild()`
    `CDOTransfer.ChildrenChangedEvent.Kind` | `getKind()`
    `boolean` | `hasTreeImpact()`

    - ### Methods inherited from class org.eclipse.emf.cdo.transfer.CDOTransfer.MappingEvent

      `getMapping`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Event

      `formatAdditionalParameters, formatEventName, getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### hasTreeImpact

          public boolean hasTreeImpact()

      Specified by:
        `hasTreeImpact` in class `CDOTransfer.MappingEvent`

    - #### getChild

          public CDOTransferMapping getChild()

    - #### getKind

          public CDOTransfer.ChildrenChangedEvent.Kind getKind()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html